(* ------------------------------------------------------------- *)
Section EX.

Variables (A:Set) (P : A->Prop).
Variable Q:Prop.

Lemma trivial : forall x:A, P x -> P x.
Proof.
intros.
assumption.
Qed.

Print trivial.

Lemma example : forall x:A, (Q -> Q -> P x) -> Q -> P x.
Proof.
intros x H H0.
apply H.
assumption.
assumption.
Qed.

Print example.

End EX.

Print trivial.
Print example.
(* ------------------------------------------------------------- *)
